Bug 1485398 - Backport selective allocation of PGSTE to avoid global vm.allocate_pgste
Summary: Backport selective allocation of PGSTE to avoid global vm.allocate_pgste
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: binutils
Version: 7.5-Alt
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Nick Clifton
QA Contact: Miloš Prchlík
Vladimír Slávik
URL:
Whiteboard:
Depends On:
Blocks: 1473718 1485399
TreeView+ depends on / blocked
 
Reported: 2017-08-25 14:53 UTC by David Hildenbrand
Modified: 2018-04-10 10:00 UTC (History)
10 users (show)

Fixed In Version: binutils-2.27-15.base.el7
Doc Type: Enhancement
Doc Text:
Support for selective use of 4 KiB page tables on IBM z Systems This update adds the option `--s390-pgste` to the *ld* linker from the _binutils_ package to mark applications for the IBM z Systems architecture that require 4 KiB memory page tables on the lowest level. As a result, use of this feature can be restricted only to applications that need it, allowing optimal use of space by all applications on the system. Note that the *qemu* backend no longer forces 4 KiB lowest level page tables on all running applications. Make sure to specify the new option if your applications require them.
Clone Of:
Environment:
Last Closed: 2018-04-10 09:59:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0686 None None None 2018-04-10 10:00:54 UTC
Red Hat Bugzilla 1488889 None CLOSED s390x: binutils strip tool segfaults 2018-12-17 05:01:17 UTC

Internal Links: 1488889

Description David Hildenbrand 2017-08-25 14:53:48 UTC
Description of problem:
For now we have to enable allocation of PGSTE globally, using sysctl vm.allocate_pgste=1 (see bz 1454281) in order to be able to run qemu-kvm guests.

This results in the double size of lowest level page tables of all processes. Latest upstream contribution allow to allocate PGSTE selectively, per process. This requires kernel, QEMU and binutil changes.

Additional info:
We have to backport for the binutils part the following commit

commit b4cbbe8f7294070cc93a71ace78f134965ddad82
Author: Andreas Krebbel <krebbel@linux.vnet.ibm.com>
Date:   Thu Jun 8 17:24:50 2017 +0200

    S/390: Add support for pgste marker

Comment 20 Miloš Prchlík 2018-02-01 08:20:57 UTC
Verified with binutils-2.27-27.base.el7.s390x.

Comment 23 errata-xmlrpc 2018-04-10 09:59:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0686


Note You need to log in before you can comment on or make changes to this bug.